function p.get_mesh() return "bent_ammo_gun_1" end
function p.get_mesh2() return "gun_1_incr_proj_speed" end

function p.payload(level, bp)
    ga_srand(ga_block_seed_pos(level, bp))
    game_upgrades.plasma_proj_speed()
    game_bent.remove_perm(level, bp)
end

function p.on_touch(level, bp)
    p.payload(level, bp)
end

function p.get_can_use(level, bp)
    return true
end

function p.get_use_msg(level, bp)
    return "Plasma Projectile Speed"
end

function p.on_use(level, bp)
    p.payload(level, bp)
end

function p.on_telekinesis(level, bp)
    p.payload(level, bp)
end
